# Generated from trip_advisor-0.0.21.gem by gem2rpm -*- rpm-spec -*-
%global gem_name trip_advisor

Name: rubygem-%{gem_name}
Version: 0.0.21
Release: 1%{?dist}
Summary: This library provides interfaces to a number of TripAdvisor internal API's used for development purposes
License: Commercial
URL: http://engineering.tripadvisor.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.14.0
# BuildRequires: rubygem(rspec) < 2.15
# BuildRequires: rubygem(simplecov) >= 0.7.1
# BuildRequires: rubygem(simplecov) < 0.8
# BuildRequires: rubygem(webmock) >= 1.13.0
# BuildRequires: rubygem(webmock) < 1.14
# BuildRequires: rubygem(excon) >= 0.26.0
# BuildRequires: rubygem(excon) < 0.27
# BuildRequires: rubygem(tomdoc) >= 0.2.5
# BuildRequires: rubygem(tomdoc) < 0.3
BuildArch: noarch

%description
A Ruby interface for interacting with TripAdvisor development API's.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/run_tests.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/trip_advisor.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.21-1
- Initial package
